
import { addParameters } from '@storybook/react';
import { INITIAL_VIEWPORTS } from '@storybook/addon-viewport';
import { styled } from 'twin.macro'
global._styled = styled


export const parameters = {
  actions: { argTypesRegex: "^on[A-Z].*" },
  controls: {
    matchers: {
      color: /(background|color)$/i,
      date: /Date$/,
    },
  },
}

const customViewports = {
  notebook: {
    name: 'notebook',
    styles: {
      width: '1366px',
      height: '768px'
    }
  },
  notenotebookFullHDbook: {
    name: 'notebook full HD',
    styles: {
      width: '1920px',
      height: '1080px'
    }
  }
};

addParameters({
  viewport: {
    viewports: { ...INITIAL_VIEWPORTS, ...customViewports },
    defaultViewport: 'iphone12'
  }
});