import React from 'react'
import PropTypes from 'prop-types'
import tw from 'twin.macro'
import classNames from 'classnames'
import Label from '../Label'
import { css } from '@emotion/css'

const CardOutStock = (props) => {
    const {
        isShowOutStock,
        text,
        isSizeProductOneSKU,
    } = props


    if (!isShowOutStock) {
        return null
    }

    return (
        <div className={classNames(css`
            width:100%;
            height:100%;
            z-index:900;
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            display:flex;
            justify-content:center;
            align-items:center;
            `,
        )}>
            <div className={classNames(css`
            width:${isSizeProductOneSKU ? '35%' : '60%'};
            height:${isSizeProductOneSKU ? '35%' : '60%'};
            display:flex;
            justify-content:center;
            align-items:center;
            background-color: rgba(9,9,9,0.9);
            border-radius:50%;
            @media (max-width:767px){
                width:${isSizeProductOneSKU ? '40%' : '60%'};
                height:${isSizeProductOneSKU ? '40%' : '60%'};
            }
            `,
            )}>
                <Label
                    text={text}
                    fontSize={14}
                    fontWeight={400}
                    textAlign={'center'}
                    twColor={tw`text-white`}
                />
            </div>
        </div>
    )
}

CardOutStock.propTypes = {
    isShowOutStock: PropTypes.bool,
    text: PropTypes.string,
    isSizeProductOneSKU: PropTypes.bool,
}

CardOutStock.defaultProps = {
    isShowOutStock: false,
    text: 'สินค้าหมด',
    isSizeProductOneSKU: 'productGird',//'productSKU' : 'productGird'
};

export default CardOutStock