import React from 'react'
import tw, { styled } from 'twin.macro'
import classNames from 'classnames'
import Label from '../Label'
import { css } from '@emotion/css'


const StyledDiv = styled.div(({ twProps }) => [
    twProps,
])

const StyledIcon = styled.icon(({ twProps }) => [
    twProps,
])

const ProductEmpty = (props) => {

    return (
        <StyledDiv twProps={tw`px-[2rem] py-[5rem] flex flex-col justify-center items-center bg-white rounded-card mb-4`}>
            <StyledIcon
                className={classNames(css`
            :before{
                margin:0;
                width:unset;
                height:unset; 
            }
            `,
                    'icon-i-non-product'
                )}
                twProps={tw`text-defaultActionIcon text-[5rem]`}
            />
            <Label
                text={'เตรียมพบกับสินค้าเร็วๆนี้'}
                twColor={tw`text-defaultTextPrimary`}
                twProps={tw`font-sans`}
            />

        </StyledDiv>
    )
}


export default ProductEmpty