import React from 'react'
import { css } from '@emotion/css'
import PropTypes from 'prop-types'

const TextView = (props) => {
  const { content = '', marginBottom = 0, marginLeft = 0, marginRight = 0 } = props

  if (!content) {
    return null
  }

  return (
    <div
      className={css`
        margin-bottom: ${marginBottom}px;
        margin-left: ${marginLeft}px;
        margin-right: ${marginRight}px;
        
      `}
      dangerouslySetInnerHTML={{ __html: content }}
    ></div>
  )
}

TextView.propTypes = {
  content: PropTypes.string,
  marginBottom: PropTypes.number,
  marginLeft: PropTypes.number,
  marginRight: PropTypes.number
}

TextView.defaultProps = {
  content: '',
  marginBottom: 0,
  marginLeft: 0,
  marginRight: 0
}

export default TextView
