import React from 'react'
import PropTypes from 'prop-types';
import tw, { styled } from 'twin.macro'
import { css } from '@emotion/css'
import Label from '../Label';
import classNames from 'classnames';


const StyledDiv = styled.div(({ twProps }) => [
  twProps,
])

const StyledLink = styled.a(({ twProps }) => [
  twProps,
])


const TrackingOrder = ({
  theme,
  isCanClick,
  title = `ติดตามสถานะคำสั่งซื้อ`
}) => {


  let cursor = isCanClick ? 'pointer' : 'default'

  return (
    <StyledDiv
      twProps={tw`flex flex-row items-center justify-center bg-white/10 p-[20px]`}
    >

      <StyledDiv
        twProps={tw`flex flex-col w-max`}
        className={classNames(css`
        a :hover,a:hover{
          cursor: ${cursor}
        }
      `,
        )}
      >
        <Label
          text={title}
          fontSize={16}
          fontWeight={400}
          twColor={tw`text-textSecondary`}
          twProps={tw`mb-[12px]`}
        />

        <StyledLink
          twProps={tw`rounded-card`}
          className={classNames(css`
              background: ${theme.primary};
            `,
          )}
          href={'/orderHistory'}
          onClick={(e) => {
            if (!isCanClick) {
              e.preventDefault();
              return false;
            }
          }}
        >
          {/* <Label
            text={`กดที่นี่`}
            fontSize={16}
            fontWeight={400}
            twColor={tw`text-white`}
            twProps={tw`text-center flex flex-row items-center justify-center p-[10px] `}
          /> */}
        </StyledLink>

      </StyledDiv >

    </StyledDiv >
  );
};


TrackingOrder.propTypes = {
  theme: PropTypes.any,
  isCanClick: PropTypes.any,
};

TrackingOrder.defaultProps = {
  theme: null,
  isCanClick: true,
};


export default TrackingOrder


